import React, { useEffect, useRef, useState } from 'react';
import loader from '@/components/AMap/loader';

const plugins = ['AMap.MoveAnimation'];
export default (containerRef) => {
  const amapRef = useRef();
  const [map, setMap] = useState();

  useEffect(() => {
    loader(plugins)
      .then((AMap) => {
        amapRef.current = AMap;

        const mapInst = new AMap.Map(containerRef.current, {
          zoom: 17,
          resizeEnable: true,
          center: [112.093131, 32.692095],
        });

        //
        setMap(mapInst);
      })
      .catch((err) => {
        console.log(err.message);
      });
  }, [containerRef]);

  return { amapRef, map };
};
