import React, { useState, useEffect, useRef } from 'react';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import PageTable from '@/components/PageTable';
import { getDeviceJobList } from '@/services/job';

export default (props) => {
  const actionRef = useRef();

  const columns = [
    {
      title: '设备类型',
      dataIndex: 'deviceKind',
      key: 'deviceKind',
      valueEnum: {
        shensong: {
          text: '深松',
        },
        feifang: {
          text: '飞防',
        },
      },
    },
    {
      title: '设备编号',
      dataIndex: 'deviceNo',
      key: 'deviceNo',
      width: 340,
    },
    {
      title: '作业面积(亩)',
      dataIndex: 'jobArea',
      key: 'jobArea',
      search: false,
    },
    {
      title: '作业时间',
      dataIndex: 'jobDate',
      key: 'jobDate',
      search: false,
    },
    {
      title: '绑定农机',
      dataIndex: 'machineryName',
      key: 'machineryName',
      search: false,
    },
  ];

  return (
    <PageHeaderWrapper>
      <PageTable
        columns={columns}
        actionRef={actionRef}
        options={false}
        request={getDeviceJobList}
        // toolBarRender={actions}
        scroll={{ x: 1000 }}
      />
    </PageHeaderWrapper>
  );
};
