import React from 'react';
import { Spin, Tabs } from 'antd';
import { getMachineryListByUser } from '@/services/device';

export default (props) => {
  const { userId } = props;

  const [loading, setLoading] = React.useState(false);
  const [machines, setMachines] = React.useState([]);

  React.useEffect(() => {
    if (userId) {
      setLoading(true);
      getMachineryListByUser(userId)
        .then((res) => {
          setMachines(res);
          setLoading(false);
        })
        .catch((err) => {
          console.error(err);
          setLoading(false);
        });
    }
  }, [userId]);

  return (
    <Spin spinning={loading}>
      <h3 style={{ fontWeight: 700 }}>作业信息</h3>
      <Tabs></Tabs>
    </Spin>
  );
};
