import React from 'react';
import { Descriptions, Spin } from 'antd';
import { getUserDetail } from '@/services/user';

export default (props) => {
  const { userId } = props;

  const [loading, setLoading] = React.useState(false);
  const [user, setUser] = React.useState({});

  React.useEffect(() => {
    if (userId) {
      setLoading(true);
      getUserDetail(userId)
        .then((res) => {
          setUser(res);
          setLoading(false);
        })
        .catch((err) => {
          console.error(err);
          setLoading(false);
        });
    }
  }, [userId]);

  return (
    <Spin spinning={loading}>
      <Descriptions title="用户信息">
        <Descriptions.Item label="姓名">{user.userName}</Descriptions.Item>
        <Descriptions.Item label="电话">{user.phone}</Descriptions.Item>
      </Descriptions>
    </Spin>
  );
};
